//------------------------------------------------------------------------------
// <auto-generated>
//      Generated by NativeAssist version 1.0.0.0 with Split Generator.
//      Do not modify this file unless necessary.
// </auto-generated>
//------------------------------------------------------------------------------

namespace NativeFx.Interop;

using System;
using GTA.Native;
using GTA;
using GTA.Math;

public static partial class Natives 
{
public static class Event {
/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Event<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB604A2942ADED0EE<br />
/// </para>
/// </remarks>
public static void SetDecisionMaker(int /* Ped */ ped, uint name){
Function.Call((Hash)0xB604A2942ADED0EEuL, ped, name);
}

/// <summary>
/// eventType: https://alloc8or.re/gta5/doc/enums/eEventType.txt
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Event<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4FC9381A7AEE8968<br />
/// </para>
/// </remarks>
public static void ClearDecisionMakerEventResponse(uint name, int eventType){
Function.Call((Hash)0x4FC9381A7AEE8968uL, name, eventType);
}

/// <summary>
/// eventType: https://alloc8or.re/gta5/doc/enums/eEventType.txt<br /><br />This is limited to 4 blocked events at a time.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Event<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE42FCDFD0E4196F7<br />
/// </para>
/// </remarks>
public static void BlockDecisionMakerEvent(uint name, int eventType){
Function.Call((Hash)0xE42FCDFD0E4196F7uL, name, eventType);
}

/// <summary>
/// eventType: https://alloc8or.re/gta5/doc/enums/eEventType.txt
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Event<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD7CD9CF34F2C99E8<br />
/// </para>
/// </remarks>
public static void UnblockDecisionMakerEvent(uint name, int eventType){
Function.Call((Hash)0xD7CD9CF34F2C99E8uL, name, eventType);
}

/// <summary>
/// eventType: https://alloc8or.re/gta5/doc/enums/eEventType.txt
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Event<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD9F8455409B525E9<br />
/// </para>
/// </remarks>
public static int AddShockingEventAtPosition(int eventType, float x, float y, float z, float duration){
return Function.Call<int>((Hash)0xD9F8455409B525E9uL, eventType, x, y, z, duration);
}

/// <summary>
/// eventType: https://alloc8or.re/gta5/doc/enums/eEventType.txt
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Event<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x7FD8F3BE76F89422<br />
/// </para>
/// </remarks>
public static int AddShockingEventForEntity(int eventType, int /* Entity */ entity, float duration){
return Function.Call<int>((Hash)0x7FD8F3BE76F89422uL, eventType, entity, duration);
}

/// <summary>
/// eventType: https://alloc8or.re/gta5/doc/enums/eEventType.txt
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Event<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1374ABB7C15BAB92<br />
/// </para>
/// </remarks>
public static bool IsShockingEventInSphere(int eventType, float x, float y, float z, float radius){
return Function.Call<bool>((Hash)0x1374ABB7C15BAB92uL, eventType, x, y, z, radius);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Event<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2CDA538C44C6CCE5<br />
/// </para>
/// </remarks>
public static bool RemoveShockingEvent(int /* ScrHandle */ @event){
return Function.Call<bool>((Hash)0x2CDA538C44C6CCE5uL, @event);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Event<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xEAABE8FDFA21274C<br />
/// </para>
/// </remarks>
public static void RemoveAllShockingEvents(bool p0){
Function.Call((Hash)0xEAABE8FDFA21274CuL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Event<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x340F1415B68AEADE<br />
/// </para>
/// </remarks>
public static void RemoveShockingEventSpawnBlockingAreas(){
Function.Call((Hash)0x340F1415B68AEADEuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Event<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2F9A292AD0A3BD89<br />
/// </para>
/// </remarks>
public static void SuppressShockingEventsNextFrame(){
Function.Call((Hash)0x2F9A292AD0A3BD89uL);
}

/// <summary>
/// eventType: https://alloc8or.re/gta5/doc/enums/eEventType.txt
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Event<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x3FD2EC8BF1F1CF30<br />
/// </para>
/// </remarks>
public static void SuppressShockingEventTypeNextFrame(int eventType){
Function.Call((Hash)0x3FD2EC8BF1F1CF30uL, eventType);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Event<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5F3B7749C112D552<br />
/// </para>
/// </remarks>
public static void SuppressAgitationEventsNextFrame(){
Function.Call((Hash)0x5F3B7749C112D552uL);
}

}}
